Categories

List all categories

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Categories are thought of as the major classification for an object. They also have an associated colour which can be used for marking or tagging their associated objects in some way.

The API can list, read and delete categories, but not create or edit them directly. To create a category, assign a new category name to a record (for example a contact's category).

Attributes

AttributeTypeDescriptionAttributes
selfreferenceURL of the categoryRead-only
Non-null
namestringThe category name (max 512 characters)Read-only
Non-null
hex_colourcolourThe category colour, as #rrggbbaa, e.g. #064fbaffRead-only
Nullable
is_activebooleantrue if the category can be assigned to recordsRead-only
Non-null

Filtering Results

This endpoint returns the full list of categories, sorted by ID, by default. However, you may include an entity query parameter to only fetch categories which are enabled for the entity.

An example request that only wanted categories for notes would like this:

GET /v1/categories?entity=note

All entities which support categories are valid values for the entity filter:

Major EntityQuery String
Contactcontact
Companycompany
Projectproject
Opportunityopportunity
Tasktask
Appointmentappointment
Groupgroup
Notenote
Emailemail
📘

Auto-created Categories

A category created by assigning a new name to a record is enabled only for that type of record. Whenever a category is assigned to a record, it is made active and enabled for that record's type, if it wasn't already.

You can toggle which categories are enabled for a particular entity in the Daylite app preferences.

You can also add is_active=true or is_active=false to return only active or only inactive categories, e.g. GET /v1/categories?entity=note&is_active=true.

Query Params
string
enum

Only return categories enabled for this type of record

boolean

true for only active categories, false for only inactive ones

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json